<div class="container" *ngIf="post">
  <div class="row">
    <hr />
    <div class="col-md-9">
      <div class="row post">
        <div class="col-md-1">
          <app-vote-button [post]="post"></app-vote-button>
        </div>
        <div class="col-md-11">
          <span>
            <span class="subreddit-text"
              ><a class="post-url" href="">{{post.subredditName}}</a></span
            >
            <span>
              . Posted
              <span> {{post.duration}} </span>
              by
              <a *ngIf="post.userName === null" class="username" href=""
                >Anonymous</a
              >
              <a
                *ngIf="post.userName != null"
                class="username"
                href=""
                >{{post.userName}}</a
              >
            </span>
          </span>
          <hr />
          <a routerLink="post.url" class="post-title">{{post.postName}}</a>
          <div>
            <p class="post-text" [innerHtml]="post.description"></p>
          </div>
          <div class="post-comment">
            <form [formGroup]="commentForm" (ngSubmit)="postComment()">
              <div class="form-group">
                <textarea
                  class="form-control"
                  [formControlName]="'text'"
                  placeholder="Your Thoughts?"
                ></textarea>
              </div>

              <div class="post-button">
                <button type="submit" class="login float-right">Comment</button>
              </div>
            </form>
          </div>
          <div style="margin-top: 20px" *ngFor="let comment of comments">
            <div class="comment">
              <div class="username">
                <a [routerLink]="['/', 'user-profile', comment.userName]">{{comment.userName}}</a>
              </div>
              <div>
                <p>{{comment.duration}}</p>
              </div>
              <b>{{comment.text}}</b>
            </div>
            <hr />
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-3">
      <app-side-bar></app-side-bar>
      <app-subreddit-side-bar></app-subreddit-side-bar>
    </div>
  </div>
</div>
